Bug 812967 - Must not restart on package upgrade
Must not restart on package upgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 12:54 EDT by David Zeuthen
Modified: 2013-03-05 23:08 EST (History)
3 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.4.0-7.git20120403.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 16:51:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2012-04-16 12:54:20 EDT
<davidz> dcbw: hey, welcome back from vacation
<davidz> dcbw: while you were away, I was complaining about the fact that NM is being restarted every time you upgrade the package. Before I file a bug, I wanted to check whether that is intentional or just a bug?
<davidz> dcbw: it seems this bug was introduced during this commit http://pkgs.fedoraproject.org/gitweb/?p=NetworkManager.git;a=commitdiff;h=a6893b4a25a2a96c7c52cca575b268c123f3302c
<davidz> which has a dubious commit message ("fix") and no reference to any bug or discussion nor any sign-off from you

<dcbw> davidz: that behavior should not be happening, I guess I'll poke Spot about it
<davidz> dcbw: ok, thanks for checking - would you like me to file a bug about it?
<dcbw> yeah, please do
Comment 1 Fedora Update System 2012-04-23 18:41:53 EDT
NetworkManager-0.9.4.0-7.git20120403.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.4.0-7.git20120403.fc17
Comment 2 Fedora Update System 2012-04-23 23:17:04 EDT
Package NetworkManager-0.9.4.0-7.git20120403.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.4.0-7.git20120403.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6458/NetworkManager-0.9.4.0-7.git20120403.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-05-02 16:51:15 EDT
NetworkManager-0.9.4.0-7.git20120403.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Pavel Šimerda (pavlix) 2012-08-29 06:07:03 EDT
Does it mean that we no longer use 'connetion assume' funcionality for updates?

Note You need to log in before you can comment on or make changes to this bug.